<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\KursVorschlag;

class KursVorschlagFormularUseCase extends \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagFormularUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_DOZ;
  }

  public static function getToolSectionId()
  {
    return 282;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('9.0.4')) {
      return false;
    }

    return true;
  }

  protected function isKursKopieAllowed()
  {
    return $this->isRechtAllowed('282.0.1');
  }

  protected function setDozentenToKursplanung($pKursplanung, $pKnr)
  {
    if (\DBWorkBASysSettings::isSalzburgBildungswerk()) {
      $dbwDozKurs = new \DBWorkDozentenHonorar(1, true);
      $dozent = \SessionOperations::getCurrentWebToolsDozent();

      $dk = $dbwDozKurs->getHonorarbyKNRDozentNR($pKnr, $dozent->id);
      $pKursplanung->honorar_sbw = $dk->honfaktor * $dk->honsatz;
    }

    return $pKursplanung;
  }

  protected function showButtonZwischenspeichern()
  {
    return false;
  }
}